feed-0.3.12.0: Interfacing with RSS (v 0.9x, 2.x, 1.0) + Atom feeds.

Copyright | (c) Galois Inc. 2008 (c) Sigbjorn Finne 2009-
License | BSD3
Maintainer | Sigbjorn Finne <sof@forkIO.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Text.Atom.Pub

Description

Types for the Atom Publishing Protocol (APP)

# Documentation

data Service Source #

Constructors

Service |

Fields

- serviceWorkspaces :: [Workspace]
- serviceOther :: [Element]

data Workspace Source #

Constructors

Workspace |

Fields

- workspaceTitle :: TextContent
- workspaceCols :: [Collection]
- workspaceOther :: [Element]

data Collection Source #

Constructors

Collection |

Fields

- collectionURI :: URI
- collectionTitle :: TextContent
- collectionAccept :: [Accept]
- collectionCats :: [Categories]
- collectionOther :: [Element]

data Categories Source #

Constructors

CategoriesExternal URI |
Categories (Maybe Bool) (Maybe URI) [Category] |

Instances

Show Categories Source # |
Methods showsPrec :: Int -> Categories -> ShowS # show :: Categories -> String # showList :: [Categories] -> ShowS #

newtype Accept Source #

Constructors

Accept |

Fields

- acceptType :: String